Python is required by a large number of applications. Out of the box, RHEL6 versions only support Python2.6, and RHEL7 support Python2.7.

When you do an yum update, there are no newer versions on Python available on the default Yum Repo.

This is how you do it:

Either log in a root or run sudo -i

yum install yum-utils

yum-config-manager –enable rhel-server-rhscl-6-rpms (RHEL6)

yum-config-manager –enable rhel-server-rhscl-7-rpms (RHEL7)

yum install rh-python36 -y

scl enable rh-python36 bash 

python -V

The RHEL Software libraries will install a number of default python apps including pip